Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "a26bb9b1-da1c-4b45-9046-dd5eaf6275c2",
"date_start": "2026-10-29T13:50:22.0391192+00:00",
"date_end": "2026-10-29T13:50:22.0391192+00:00",
"modified_dateutc": "2026-10-29T13:50:22.0391192+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "9dc73d6e-8227-4b14-a53e-c57bff9e6998",
"user_code": "sample string 8",
"user": {
"id": "6bc006ab-6e74-4836-9a70-46e764b0c2a7",
"db_language_id": "9de8e460-2c65-470a-b082-8268a32cf71a",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-29T13:50:22.0565981+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "97c9f38f-b4fc-473b-90e7-947809210080",
"sales_organization": {
"id": "7161b35e-396b-47e4-b039-ba1c745433d0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b753bbdc-7752-41bd-bc9a-6127fc6aaf2b",
"db_currency_id": "222ecee9-3054-4847-ac96-7aaaa81aa58f",
"db_language_id": "63a8bcc6-e60c-46b8-83ef-58132c22b113",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T13:50:22.0565981+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f7f82266-e052-43f5-aef7-46e8cdd56cac",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "fd44d8ac-ae8c-47a3-bdba-7e2292db0df5",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-29T13:50:22.0703654+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "72ae6ec8-cb31-4353-9772-47daadbaca7b"
},
"user_unavailability_type_id": "d2202fcd-5afa-468c-837a-5b3c2e42e1ca",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "9c41cf4a-5b1f-43f5-89ac-f09dfe8cf777",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "414b82b6-9b67-442b-a7b4-640e4bd0136d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "7161b35e-396b-47e4-b039-ba1c745433d0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b753bbdc-7752-41bd-bc9a-6127fc6aaf2b",
"db_currency_id": "222ecee9-3054-4847-ac96-7aaaa81aa58f",
"db_language_id": "63a8bcc6-e60c-46b8-83ef-58132c22b113",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T13:50:22.0565981+00:00"
},
"modified_dateutc": "2026-10-29T13:50:22.0866349+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.